Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225990 - Merge Review: libbonoboui
Summary: Merge Review: libbonoboui
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:19 UTC by Nobody's working on this, feel free to take it
Modified: 2014-03-17 03:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-10 02:49:38 UTC
notting: fedora-review+


Attachments (Terms of Use)
patch! (deleted)
2010-07-09 03:45 UTC, Bill Nottingham
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 19:19:13 UTC
Fedora Merge Review: libbonoboui

http://cvs.fedora.redhat.com/viewcvs/devel/libbonoboui/
Initial Owner: rstrode@redhat.com

Comment 1 Bill Nottingham 2010-07-09 03:43:59 UTC
MUST items:
- Package meets naming and packaging guidelines - OK
- Spec file matches base package name. - OK
- Spec has consistent macro usage. - OK 
- Meets Packaging Guidelines. ***

Could use %{?_smp_mflags}.

- License - LGPLv2+ (lib), GPLv2+ (browser)
- License field in spec matches - ***

Technically, it's the -devel package that has the GPLv2+ bits.

- License file included in package - ***

COPYING.LIB not included.

- Spec in American English - OK
- Spec is legible. - OK
- Sources match upstream md5sum:

0be51ee3069a2ef21d98561ee28036dd263ac08b401776fe9164e084825ffd84  libbonoboui-2.24.3.tar.bz2

OK

- Package needs ExcludeArch - N/A
- BuildRequires correct - ***

automake/autoconf aren't required in the kernel version (it's not patched.)

libXt-devel is certainly extraneous.

Some of the versions in the spec don't quite match the configure script, but... whatever.

- Spec handles locales/find_lang - OK
- Package has %defattr and permissions on files is good. - OK
- Package has a correct %clean section. - OK
- Package is code or permissible content. - OK
- Doc subpackage needed/used. - N/A
- Packages %doc files don't affect runtime. - OK

- Headers/static libs in -devel subpackage. - OK
- Spec has needed ldconfig in post and postun - OK
- .pc files in -devel subpackage/requires pkgconfig  -OK
- .so files in -devel subpackage.  - OK
- -devel package Requires: %{name} = %{version}-%{release}  - OK
- .la files are removed. - OK

- Package is a GUI app and has a .desktop file - ***

Browser doesn't have one. Don't think it needs it.

- Package compiles and builds on at least one arch. - OK
- Package has no duplicate files in %files. - OK
- Package doesn't own any directories other packages own. - OK
- Package owns all the directories it creates. - OK
- No rpmlint output.

src rpm:
libbonoboui.src: W: no-buildroot-tag

Ignorable, not needed.

libbonoboui:
libbonoboui.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libglade/2.0/libbonobo.so ['/usr/lib64']

libbonoboui.x86_64: E: zero-length /usr/share/doc/libbonoboui-2.24.3/AUTHORS


libbonoboui-devel:
libbonoboui-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/bonobo-browser ['/usr/lib64']
libbonoboui-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/test-moniker ['/usr/lib64']
libbonoboui-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/bonobo-2.0/samples/bonobo-sample-controls-2 ['/usr/lib64']
libbonoboui-devel.x86_64: W: no-manual-page-for-binary test-moniker
libbonoboui-devel.x86_64: W: no-manual-page-for-binary bonobo-browser

Warnings are ignorable. rpath should probably be fixed. AUTHORS can be dropped.

- final provides and requires are sane:

Nothing fishy here.

SHOULD Items:

- Should build in mock. - OK
- Should build on all supported archs - OK
- Should function as described. - OK
- Should have sane scriptlets. - OK
- Should have subpackages require base package with fully versioned depend. - OK
- Should have dist tag - OK
- Should package latest version - OK
- check for outstanding bugs on package. - Meh. Nothing critical.

Comment 2 Bill Nottingham 2010-07-09 03:45:08 UTC
Created attachment 430528 [details]
patch!

This fixes the issues from the review. OK to commit?

Comment 3 Matthias Clasen 2010-07-09 18:40:07 UTC
Man, be careful. 
You are going to end up libbonobo maintainer before the package is finally dead.
Just go ahead, please.

Comment 4 Bill Nottingham 2010-07-10 02:49:38 UTC
OK. Closing.


Note You need to log in before you can comment on or make changes to this bug.